Subject: [bug#54307] [PATCH 0/2] Highlight headings showing what to build/download

From: Ludovic Courtès <[email-masked]>
Date: Sun, 13 Mar 2022 23:00:39 +0100

Liliana Marie Prikler <[email-masked]> skribis:

> Am Donnerstag, dem 10.03.2022 um 11:19 +0100 schrieb Ludovic Courtès:
>> Hi,
>> 
>> Liliana Marie Prikler <[email-masked]> skribis:
>> 
>> > Am Mittwoch, dem 09.03.2022 um 11:12 +0100 schrieb Ludovic Courtès:
>> > > * guix/colors.scm (highlight/warn): New procedure.
>> > > * guix/ui.scm (show-what-to-build): Use 'highlight/warn' when
>> > > displaying
>> > > what would/will be built.
>> > highlight/warn sounds somewhat misleading for this use-case. 
>> > Should
>> > this be highlight/info instead?
>> 
>> I agree “warn” is misleading, but I don’t find “info” any clearer. 
>> :-)
>> 
>> Maybe ‘highlight-more’ or something?
> Highlight more than what?

More than just bold; the goal is to make “The following derivations will
be built” more prominent.

[...]

> Anyway, I would suggest using a less "offensive" colour to indicate how
> much is being downloaded/built.

What’s downloaded is still being displayed as bold with the default
color (black or white).  The only thing that changes colors is the
sentence above.

Thing is we have few colors at hand (see (guix colors)) and we need one
that works well both with a white and with a dark background.  So…

So far magenta is used for warnings, which is consistent with the intent
here.

WDYT?

Thanks,
Ludo’.